givinterpgeom.h File Reference

Interpolation at geometric points. More...

`#include "givaro/givconfig.h"`
`#include "givaro/giverror.h"`
`#include "givaro/givpoly1.h"`
`#include <givaro/givtruncdomain.h>`
Include dependency graph for givinterpgeom.h:

## Data Structures

struct | NewtonInterpGeom< Domain, REDUCE >
| Newton. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Interpolation at geometric points.

Bibliography
  - A Bostan and E Schost, Polynomial evaluation and interpolation on special sets of points, Journal of Complexity 21(4): 420-446, 2005.